@mixin table-row-colors($odd-row-color, $expanded-row-color, $hover-color) {

  // odd rows when not hovering
  .odd_row_color {
    background-color: $odd-row-color;
  }

  // odd rows when hovering
  .odd_row_color:hover {
    background-color: $odd-row-color;
  }

  // disable extra color on rows when hovered
  .mdc-data-table__row:not(.mdc-data-table__row--selected):hover {
    background: unset;
  }

  // disable extra hover color on custom colored odd rows
  .odd_row_color.mdc-data-table__row:not(.mdc-data-table__row--selected):hover {
    background: $odd-row-color;
  }

}


@mixin table-header-color($header-text-color) {
// column headers
  th.mdc-data-table__header-cell {
    color: $header-text-color;
    font-style: italic;
  }
// field headers
  .info-header {
    color: $header-text-color;
    font-style: italic;
  }

}

// vertical rulers between columns
@mixin table-border-color($border-color) {
  // add left boarder line to all columns
  // remove vertical ruler in specific column
  table.vert-ruler td[class*="mat-column-"] {//:not(:first-child):not(:last-child) {
    border-left: solid $border-color 1px;
  }

  table.vert-ruler-expand td[class*="mat-column-"]:not(:first-child) {
    border-left: solid $border-color 1px;
  }
}
